Lingxing
切换旧版

提交货件配送服务

POST/amzStaServer/openapi/inbound-shipment/setDeliveryService

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-shipment/setDeliveryServiceHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
shipmentDistributionInfoarray<object>必填
货件配送信息
隐藏子属性
alphaCodestring必填
承运方式编码
alphaNamestring必填
承运方式名称
declaredAmountnumber
申报价值
declaredCodestring
申报价值货币
deliveryWindowOptionIdstring必填
送达时间ID
endDatestring必填
送达时段-结束时间:(北京时间)
备注:格式:YYYY-MM-DD
freightClassstring
货物等级
palletListarray<object>
帕托信息
隐藏子属性
heightnumber
高
lengthnumber
长
lengthUnitstring
长度单位(IN-英制,CM-公制)
quantityinteger
数量
stackabilitystring
是否可堆叠
weightnumber
单个重量
weightUnitstring
重量单位(LB-磅,KG-千克)
widthnumber
宽
shipingTimestring必填
发货时间:(北京时间)
备注:格式:YYYY-MM-DD
shipmentIdstring必填
货件单号
shippingModestring必填
货件类型(GROUND_SMALL_PARCEL代表小包裹快递(SPD)、FREIGHT_LTL代表汽运零担(LTL))
shippingSolutionstring必填
承运人(USE_YOUR_OWN_CARRIER代表其他承运人、AMAZON_PARTNERED_CARRIER代表亚马逊合作承运人)
shipperContactobject
联系人信息(当发货地址国家与收货地址国家不一致并且选择亚马逊合作承运人时必填)
隐藏子属性
shipperNamestring必填
联系人名称
emailstring必填
联系人邮箱
phoneNumberstring必填
联系人电话
startDatestring必填
送达时段-开始时间:(北京时间)
备注:格式:YYYY-MM-DD
transportationOptionIdstring必填
承运方式ID
transportationModeinteger
运输方式:1-陆运,2-海运,3-空运
sidinteger必填
领星店铺ID,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/setDeliveryService?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "shipmentDistributionInfo": [{
        "alphaCode": "CY0001",
        "alphaName": "CY0001-00",
        "declaredAmount": 288,
        "declaredCode": "申报价值货币",
        "deliveryWindowOptionId": "",
        "endDate": "2022-12-22",
        "freightClass": "货物等级",
        "palletList": [{
            "height": 5,
            "length": 6,
            "lengthUnit": "CM",
            "quantity": 10,
            "stackability": "",
            "weight": 20,
            "weightUnit": "LB",
            "width": "宽"
        }],
        "shipingTime": "2022-11-10",
        "shipmentId": "货件单号",
        "shippingMode": "SPD",
        "shippingSolution": "USE_YOUR_OWN_CARRIER",
        "startDate": "2022-11-22",
        "transportationOptionId": "CY0003",
        "transportationMode": 1
    }],
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
operationIdstring必填
操作id

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "operationId": "操作id"
    }
}